<?php
/** ----------------------------------------------------------------------------
 *
 * stats_stock_warning.php
 *
 * WEB-Shop Software http://www.webs.de
 *
 *  Statistic for stock warnings
 *
 * -----------------------------------------------------------------------------
 * based on:
 *  (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
 *  (c) 2002-2003 osCommerce; www.oscommerce.com
 *  (c) 2003 nextcommerce; www.nextcommerce.org
 *  (c) 2006 XT-Commerce
 *
 * Released under the GNU General Public License
 *
 * @version $Id: stats_stock_warning.php 2248 2012-04-06 19:54:50Z xantiva $
 * @copyright 2012 WEB-Shop Software http://www.webs.de/
 *
 * -----------------------------------------------------------------------------
 */
require('includes/application_top.php');

if (isset($_GET['orderedMoreThan']) && ($_GET['orderedMoreThan'] != "")) {
	$orderedMoreThan = (int)$_GET['orderedMoreThan'];
	$addToWhere = ' AND products_ordered > ' . $orderedMoreThan;
}

if (isset($_GET['getJSON'])) {
	$columns = array('products_model', 'products_name', 'products_quantity', 'products_ordered', 'ordersPerMonth', 'products_date_added', 'products_id');
	$from = '
		FROM (
			SELECT 
				`products_id`, 
				`products_model`, 
				`products_name`, 
				`products_quantity`, 
				`products_ordered`, 
				`products_date_added`, 
				`products_ordered` / (DATEDIFF(CURDATE(), `products_date_added`) / 30) AS ordersPerMonth
			FROM `products` AS p
			JOIN products_description AS pd USING (`products_id`)
			WHERE pd.language_id = %u
			  AND products_status = 1
			    %s
		) as t1
	';
	$from = sprintf($from, $_SESSION['languages_id'], $addToWhere);
	$where = '';
	$dataTable = new DataTables($_GET, $columns, $from, $where, "*", DIR_WS_ADMIN . "categories.php?pID=%s&action=new_product", "products_id");
	echo $dataTable->getJSON();
	die();
}

define('HEADING_IMAGE', DIR_WS_IMAGES . 'icons/heading_statistic.gif');
define('SHOP_Style', true);
require(DIR_WS_INCLUDES . 'header.php');
?>
<!-- body //-->
<table border="0" style="height:100%;width: auto;" cellspacing="0" cellpadding="10">
	<tr>
		<td valign="top">
			<div id="ignoreLessThan">
				<label><?php echo ONLY_PRODUCTS_SOLD_MORE_THAN; ?>:
					<input name="orderedMoreThan" value="<?php echo $orderedMoreThan; ?>">
				</label>
			</div>
			<table id="stockWarnings" class="display">
				<thead>
					<tr>
						<th><?php echo TABLE_HEADING_MODEL; ?></th>
						<th><?php echo TABLE_HEADING_PRODUCTS; ?></th>
						<th><?php echo TABLE_HEADING_IN_STOCK; ?></th>
						<th><?php echo TABLE_HEADING_PRODUCTS_SOLD; ?></th>
						<th><?php echo TABLE_HEADING_ORDERS_PER_MONTH; ?></th>
						<th><?php echo TABLE_HEADING_DATE_ADDED; ?></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>---</td>
						<td>---</td>
						<td>---</td>
						<td>---</td>
						<td>---</td>
						<td>---</td>		
					</tr>
				</tbody>
			</table>
		</td>
	</tr>
</table>
<!-- footer //-->
<?php
require(DIR_WS_INCLUDES . 'footer.php');
?>
<!-- footer_eof //-->
<script type="text/javascript" src="../templates/_core/js/jquery-1.6.2.min.js"></script>
<script type="text/javascript" src="../templates/_core/js/jquery.dataTables-1.8.1.min.js"></script>

<script type="text/javascript">
	//<![CDATA[
	
	$(document).ready(function() {
		$('#stockWarnings').dataTable( {
			"aaSorting": [[2,'asc'], [3,'desc'], [4,'desc']],
			"aLengthMenu": [[100, 250, 500, -1], [100, 250, 500, "<?php echo RANGE_ALL; ?>"]],
			"bAutoWidth": false,
			"bDestroy": true,
			"bProcessing": true,
			"bServerSide": true,
			"iDisplayLength": 100,
			"sAjaxSource": "stats_stock_warning.php?getJSON=1",
			"oLanguage": {
				"sUrl": "../templates/_core/lang/<?php echo $_SESSION['language']; ?>/jquery.dataTables.txt"
			},
			"bJQueryUI": true,
			"sPaginationType": "full_numbers"
		} );
		
		$('input[name="orderedMoreThan"]').change(function () {
			$('#stockWarnings').dataTable( {
				"aaSorting": [[2,'asc'], [3,'desc'], [4,'desc']],
				"aLengthMenu": [[100, 250, 500, -1], [100, 250, 500, "<?php echo RANGE_ALL; ?>"]],
				"bAutoWidth": false,
				"bDestroy": true,
				"bProcessing": true,
				"bServerSide": true,
				"iDisplayLength": 100,
				"sAjaxSource": "stats_stock_warning.php?getJSON=1&orderedMoreThan=" + this.value,
				"oLanguage": {
					"sUrl": "../templates/_core/lang/<?php echo $_SESSION['language']; ?>/jquery.dataTables.txt"
				},
				"bJQueryUI": true,
				"sPaginationType": "full_numbers"
			} );
		})

	} )

	//]]>
</script>
</body>
</html>
